import QtQuick 2.0
import Sailfish.Silica 1.0

Dialog {
    property alias contactName: name.text
    property alias contactSurname: surname.text
    property alias contactAge: age.value

    DialogHeader {
        id: header
        title: "Add contact"
    }

    SilicaFlickable {
        id: flickableContents
        anchors {
            left: parent.left
            right: parent.right
            top: header.bottom
            bottom: parent.bottom
        }
        contentHeight: dialogContents.height
        clip: true
        VerticalScrollDecorator {
            flickable: flickableContents
        }

        Column {
            id: dialogContents
            anchors {
                left: parent.left
                right: parent.right
                top: parent.top
            }

            spacing: Theme.paddingLarge

            TextField {
                id: name
                anchors {
                    left: parent.left
                    right: parent.right
                    leftMargin: Theme.horizontalPageMargin
                }
                placeholderText: "Name of the contact"
                label: placeholderText
            }

            TextField {
                id: surname
                anchors {
                    left: parent.left
                    right: parent.right
                    leftMargin: Theme.horizontalPageMargin
                }
                placeholderText: "Surname of the contact"
                label: placeholderText
            }

            Slider {
                id: age
                anchors {
                    left: parent.left
                    right: parent.right
                    leftMargin: Theme.horizontalPageMargin
                }
                minimumValue: 1
                maximumValue: 150
                value: 50
                label: "Age: " + value
                stepSize: 1.0
            }
        }
    }
}
